Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002216KdenliveFile Loadingpublic2011-07-05 18:242011-11-01 18:56
ReporterAlexK 
Assigned Toj-b-m 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Platform32 bit intel and alikeOSDebian LinuxOS Version4.0
Product Version0.8.2 
Target VersionFixed in Version 
Summary0002216: missing ,pgm file reported on file load, never removed
DescriptionTrying to load a project created under an earlier SVN, a `Clip Problems' window comes up. It says:
"Luma file: $HOME/kdenlive/20110704/share/apps/kdenlive/lumas/checkerboard_small.pgm"

...and has a `Remove selected clip' button. Using that button (and `Continue' to the dialog that follows) does nothing. The only option left is to OK the window. The project is then subsequently prone to crash.

There are extra issues here:

1 Since the build wizard loads the SVN in a unique directory, re-loading any project created in an earlier SVN will *always* give this error.
2 The lumas files have duplicated entries. Now experiencing this problem, it is possibly due to KDE config referencing default lumas files located elsewhere; see:
http://www.kdenlive.org/mantis/view.php?id=2190 [^]
Steps To ReproduceAttempt to load a project containing lumas files and created under an earlier SVN whose directory has now been deleted.
Additional Information$ $HOME/kdenlive/20110704/start-kdenlive --version
Kdenlive Builder Wizard version: 11
libvpx: commit b4f70084cc64b8304005a385cb0a670431aced20 Date: Fri Jul 1 07:14:34 2011 -0700
x264: commit 4c552d873ada1be3cf2d77965427fab599d051a0 Date: Thu Jun 9 01:34:14 2011 +0400
frei0r: commit 6c65d6a48b8c0d51791bc3ba7e25a161c95fac30 Date: Wed Mar 16 00:54:34 2011 -0700
ffmpeg: commit 80f1cfd09d15be441d6b22c259397aaec29a7b27 Date: Mon Jul 4 11:15:14 2011 +0200
mlt: commit 6481ebb58cf2f477d12fcf563903aeea6fe90928 Date: Sun Jul 3 13:12:26 2011 -0700
kdenlive: Revision: 5762 Last Changed Date: 2011-07-04 09:18:01 +0100 (Mon, 04 Jul 2011)
Qt: 4.7.3
KDE Development Platform: 4.4.5 (KDE 4.4.5)
Kdenlive: 0.8.1 (rev. 5762)
TagsNo tags attached.
Build/Install MethodBuild Wizard
Attached Files? file icon intro.kdenlive [^] (57,799 bytes) 2011-07-05 18:24

- Relationships

-  Notes
(0007041)
j-b-m (administrator)
2011-07-06 02:14

I improved this in svn rev. 5766. Now, the "Remove selected clip" button should work for luma files. I also improved the search routine, so that the "Recursive search" option should be able to find the correct path for the luma file.
(0007059)
AlexK (reporter)
2011-07-07 09:53

SVN 5772

Still shows the same error on attempted load; "Recursive search" button is not available for use. I'm not willing to lose this setting, so will hack the project file & fix the path that way.

It would be good if you could fix the duplicated files issue, which affects many effects. eg for Luma files on my system, it is currently:

/usr/share/kde4/apps/kdenlive/lumas
($HOME/.kde/share/apps/kdenlive/lumas) - no actual files present, but possible
$HOME/kdenlive/20110704/share/apps/kdenlive/lumas
$HOME/kdenlive/20110707/share/apps/kdenlive/lumas
(0007060)
AlexK (reporter)
2011-07-07 09:58

My hack worked nicely, so I then re-created the original project as `intro_old' & tried again;

1 no `Recursive search' button
2 `Remove selected clip' now works fine

I should probably leave that project without the checkboard dissolve, but I'm trying to impress my grandchildren, not me.

This bug report may be marked as `closed'.
(0007061)
j-b-m (administrator)
2011-07-07 11:18

Ok, I also now fixed the "recursive search" button not enabled on missing luma.

- Issue History
Date Modified Username Field Change
2011-07-05 18:24 AlexK New Issue
2011-07-05 18:24 AlexK File Added: intro.kdenlive
2011-07-06 02:14 j-b-m Note Added: 0007041
2011-07-06 02:14 j-b-m Assigned To => j-b-m
2011-07-06 02:14 j-b-m Status new => feedback
2011-07-07 09:53 AlexK Note Added: 0007059
2011-07-07 09:53 AlexK Status feedback => assigned
2011-07-07 09:58 AlexK Note Added: 0007060
2011-07-07 11:18 j-b-m Note Added: 0007061
2011-07-07 11:18 j-b-m Status assigned => resolved
2011-07-07 11:18 j-b-m Resolution open => fixed
2011-07-07 11:18 j-b-m Product Version Recent git => 0.8.2
2011-11-01 18:56 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker